<?php
/**
 * _s functions and definitions
 *
 * @package _s
 */

/**
 * Set the content width based on the theme's design and stylesheet.
 */
if ( ! isset( $content_width ) )
	$content_width = 530; /* pixels */


/* Theme version definition to prevent caching of old files
============================================= */
if(!function_exists('vice_theme_version')){
	function vice_theme_version(){
		$my_theme = wp_get_theme( );
		return $my_theme->get( 'Version' );
	}
}



define( 'THEME_SHORTNAME', "qp" ); // this is a prefix used in most of the functions and wp options to avoid conflicts
define( 'THEMEURL', get_template_directory_uri() );
define( 'QANTUMTHEMES_WOOCOMMERCE_IS_ACTIVE', class_exists( 'WC_API' ) );

include 		'admin/option_fields.php';

if(is_admin() ){
	require_once get_template_directory() . '/custom-types/form_creation.php';
	include_once 'admin/adminindex.php';
}
/*
*
*	Install 
*
*/
require_once 	'plugins/tgm/plugins.php';
add_action('after_setup_theme', 'qw_plugins_init');
if( !function_exists('qw_plugins_init') ):
    function qw_plugins_init() {
        add_action('tgmpa_register', 'qantum_required_plugins');
    }
endif; // end   qw_plugins_init  

/*
*
*	Quicktags 
*
*/
function qw_quicktag_script() {
	wp_enqueue_script( 'jquery' );
    wp_enqueue_script( 'quicktags' );
    // added by qt-gallery-shortcode.php
    //wp_enqueue_script( 'qtAdminscripts' , get_template_directory_uri() . '/js/qt-js-admin.js', array('jquery'), '1.0.0' );
}
add_action('admin_enqueue_scripts','qw_quicktag_script');

/*
*
*	Install 
*
*/
if ( ! function_exists( 'qw_setup' ) ) :
function qw_setup() {
	load_theme_textdomain( '_s', get_template_directory() . '/languages' );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'post-thumbnails' );
	set_post_thumbnail_size( 250, 250, true );
	add_image_size( "gridthumb", "500", "500", true );
	add_image_size( "slideshow", "1600", "700", true );
	register_nav_menus( array(
		'primary' => __( 'Primary Menu', '_s' ),
	) );
	add_theme_support( 
	    'custom-background', apply_filters( '_s_custom_background_args', array(
		'default-color' => '232323',
		'default-image' => '',
	) ) );

	add_theme_support( 'woocommerce' );

}

endif; // qw_setup
add_action( 'after_setup_theme', 'qw_setup' );


if(is_admin() ){
	require_once get_template_directory() . '/custom-types/form_creation.php';

}
if(!function_exists('qw_admin_styles')){
	function qw_admin_styles(){
		wp_register_style( 'qw-adminstyles', get_template_directory_uri() . '/css/admin-styles.css', false, '1.0.0' );

		wp_enqueue_style( 'qw-adminstyles' );		
	}
}
add_action( 'admin_enqueue_scripts', 'qw_admin_styles' );

/*
*
*	Months (Used for conversions where not possible in other ways)
*
*/
$GlobalMonthsArray = array();
$GlobalMonthsArray['01'] = esc_attr__("January","_s");
$GlobalMonthsArray['02'] = esc_attr__("February","_s");
$GlobalMonthsArray['03'] = esc_attr__("March","_s");
$GlobalMonthsArray['04'] = esc_attr__("April","_s");
$GlobalMonthsArray['05'] = esc_attr__("May","_s");
$GlobalMonthsArray['06'] = esc_attr__("June","_s");
$GlobalMonthsArray['07'] = esc_attr__("July","_s");
$GlobalMonthsArray['08'] = esc_attr__("August","_s");
$GlobalMonthsArray['09'] = esc_attr__("September","_s");
$GlobalMonthsArray['10'] = esc_attr__("October","_s");
$GlobalMonthsArray['11'] = esc_attr__("November","_s");
$GlobalMonthsArray['12'] = esc_attr__("December","_s");

/*
*
*	Theme libraries and custom types
*
*/
require			'metaboxes/meta_box.php';
require_once 	'custom-types/qt-modularpages/index-modularpages.php';
require_once 	'custom-types/artist/artist-type.php';
require_once 	'custom-types/podcast/podcast-type.php';
require_once 	'custom-types/release/release-type.php';
require_once 	'custom-types/qt-events/events.php';
require_once 	'custom-types/qt-gallery/gallery.php';
require_once 	'custom-types/qt-contentslides/contentslides.php';
require_once 	'custom-types/qt-pages/index-pages.php';
require_once 	'custom-types/radio/radio-type.php';
require_once 	'customizer-boilerplate/customizer.php';
require_once 	'inc/qt_tinymce_extensions/qt-tinymce-buttons.php';


/*
*
*	Customize excerpt length
*
*/
function qw_custom_excerpt_length( $length ) {
	return 20;
}
add_filter( 'excerpt_length', 'qw_custom_excerpt_length', 999 );

/*
*
*	Gets the current post type in the WordPress Admin
*
*/
function get_current_post_type() {
  global $post, $typenow, $current_screen;
  if ( $post && $post->post_type )
    return $post->post_type;
  elseif( $typenow )
    return $typenow;
  elseif( $current_screen && $current_screen->post_type )
    return $current_screen->post_type;
  elseif( isset( $_REQUEST['post_type'] ) )
    return sanitize_key( $_REQUEST['post_type'] );
  return null;
}








/*
*
*	Register widgetized area and update sidebar with default widgets.
*
*/
function qw_widgets_init() {
	
	register_sidebar( array(
		'name'          => esc_attr__( 'Footer Sidebar 1', '_s' ),
		'id'            => 'sidebar-1',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<section class="wheader "><header class="widget-header"><h3 class="widget-title ">',
		'after_title'   => '</h3></header></section>',
	) );
	register_sidebar( array(
		'name'          => esc_attr__( 'Footer Sidebar 2', '_s' ),
		'id'            => 'sidebar-2',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<section class="wheader"><header class="widget-header"><h3 class="widget-title ">',
		'after_title'   => '</h3></header></section>',
	) );
	register_sidebar( array(
		'name'          => esc_attr__( 'Footer Sidebar 3', '_s' ),
		'id'            => 'sidebar-3',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<section class="wheader "><header class="widget-header"><h3 class="widget-title ">',
		'after_title'   => '</h3></header></section>',
	) );
	register_sidebar( array(
		'name'          => esc_attr__( 'Footer Sidebar 4', '_s' ),
		'id'            => 'sidebar-4',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<section class="wheader "><header class="widget-header"><h3 class="widget-title ">',
		'after_title'   => '</h3></header></section>',
	) );
	register_sidebar( array(
		'name'          => esc_attr__( 'Right Sidebar', '_s' ),
		'id'            => 'right-sidebar',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'before_title'  => '<section class="wheader "><h3 class="widget-title"><a href="#" data-toggle="qw-collapse" data-parent="mainsidebar" >',
		'after_title'   => '</a></h3></section><section class="widget-body qw-panel-collapse collapsed"><div class="qw-panel-contents">',
		'after_widget'  => '</div></section></aside>'
		
	) );

}
add_action( 'widgets_init', 'qw_widgets_init' );


if(!function_exists("myplugin_widget_title")){
function myplugin_widget_title( $title ) {
    if ( $title == '') {
        return __("Search","_s");
    }
    return $title;
}}
add_filter( 'widget_title', 'myplugin_widget_title', 10, 1 );





/*
*
*	Bypass defaults tags widget presets
*
*/
if(!function_exists("qw_custom_tag_cloud_widget")){
function qw_custom_tag_cloud_widget($args) {
	$args['number'] = '20'; //adding a 0 will display all tags
	$args['largest'] = '11'; //largest tag
	$args['smallest'] = '11'; //smallest tag
	$args['unit'] = 'px'; //tag font unit
	return $args;
}}
add_filter( 'widget_tag_cloud_args', 'qw_custom_tag_cloud_widget' );


/**
 * Enqueue scripts and styles.
 */

/* important: wordpress is adding #038 to the api key breaking the script. this is the fix. */
add_filter('clean_url', 'so_handle_038', 99, 3);
if(!function_exists('so_handle_038')) {
function so_handle_038($url, $original_url, $_context) {
    if (strstr($url, "googleapis.com") !== false) {
        $url = str_replace("&#038;", "&", $url); // or $url = $original_url
    }
    return $url;
}}

if(!function_exists("qw_scripts")){
function qw_scripts() {
	wp_enqueue_style( '_s-main', get_template_directory_uri()."/css/main.css" );
	wp_enqueue_style( '_s-style', get_stylesheet_uri() );
	wp_enqueue_script( 'jquery' ); $dependency = array( 'jquery' );
	wp_enqueue_script( '_s-slimscroll', get_template_directory_uri() . '/js/jquery.slimScroll.js', $dependency, vice_theme_version(), true );$dependency[] = '_s-slimscroll';
		
	wp_enqueue_script( '_s-fullpage', get_template_directory_uri() . '/js/jquery.fullPage.js', $dependency, vice_theme_version(), true );$dependency[] = '_s-fullpage';
	wp_enqueue_script( '_s-libraries', get_template_directory_uri() . '/js/qt-jquerylibraries.js', $dependency,  vice_theme_version(),true );$dependency[] = '_s-libraries';

	/**
	 * [$mapsurl Google maps URL]
	 * @var key: google maps api key
	 */
	$mapsurl = 'https://maps.googleapis.com/maps/api/js';
	global $optarray;
	$QT_gmapsapi = $optarray["QT_gmapsapi"];	

	$mapsurl = add_query_arg("key", esc_attr(trim($QT_gmapsapi)), $mapsurl);
	

	// $mapsurl = add_query_arg("sensor", 'false', $mapsurl);
	wp_enqueue_script('google-maps',$mapsurl);$dependency[] = 'google-maps';
	
  	wp_enqueue_script('google-jsapi','https://www.google.com/jsapi');  
	wp_enqueue_script( '_s-main	', get_template_directory_uri() . '/js/qt-main.js', $dependency, vice_theme_version(), true );
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) )
		wp_enqueue_script( 'comment-reply' );
}}
add_action( 'wp_enqueue_scripts', 'qw_scripts' );

// Custom template tags for this theme.
require get_template_directory() . '/inc/template-tags.php';

// Pagination.
require get_template_directory() . '/inc/pagination.php';

// Frontend functions.
get_template_part( '/inc/frontend_functions' );

// Create custom styles
add_action( 'init', "qw_customizer_preview_init");
function qw_customizer_preview_init() {
    include ( get_template_directory() . '/inc/customizations.php');         // Customizer functions 
} 


/*
*
*	Customize number of posts depending on the archive post type 
*
*/
if (!function_exists("qw_projects_custom_number_of_posts")):
function qw_projects_custom_number_of_posts( $query ) {
	if($query->is_main_query() && !is_admin()){
	    if ( $query->is_post_type_archive( 'podcast' ) 
	        || $query->is_post_type_archive('artist')
	        || $query->is_post_type_archive('release')
	        || $query->is_post_type_archive('event')
	        || $query->is_tax('filter')
	        || $query->is_tax('genre')
	        || $query->is_tax('eventtype')
	        || $query->is_tax('artistgenre')
	        ) {
	        $query->set( 'posts_per_page','9' );
	    	$query->set( 'orderby', array ( 'menu_order' => 'ASC', 'date' => 'DESC'));
	    	if ( $query->is_post_type_archive( 'radiochannel' ) )  {
			 	$query->set( 'orderby', array(  'menu_order' => 'ASC' ,	'post_date' => 'DESC'));
			}
	    	if ( $query->is_post_type_archive( 'event' ) || $query->is_tax('eventtype')){
	    		$query->set('meta_key' , EVENT_PREFIX.'date');
				$query->set('orderby' , 'meta_value');
    			$query->set('order' , 'ASC');

    			if(get_theme_mod( 'hide_past_events', '0') == '1') {
    				$meta_query = array(
		            array(
		                'key' => 'eventdate',
		                'value' => date('Y-m-d'),
		                'compare' => '>=',
		                'type' => 'date'
		                 )
		           );
    				$query->set('meta_query' , $meta_query);
    			}
    		}
	    	if ( $query->is_post_type_archive( 'artist' ) || $query->is_tax('artistgenre')){
	    		$query->set( 'orderby', array(  'menu_order' => 'ASC' ,	'post_date' => 'DESC'));
	    	}
	        return;
	    }
	}
} endif;
add_action( 'pre_get_posts', 'qw_projects_custom_number_of_posts', 9999 );




if(!function_exists('qw_custom_ev_order')){
function qw_custom_ev_order ( $query ) {
	if($query->is_main_query() && !is_admin()){
    	if($query->is_post_type_archive('event') || $query->is_tax('eventtype')) {
			$query->set( 'meta_key',EVENT_PREFIX.'date' );
			$query->set( 'orderby', 'meta_value' );
			$query->set( 'order', 'DESC' );

    	}
        return;
	}
}}
//add_action( 'pre_get_posts', 'qw_custom_ev_order', 99999 );


/* = This is used to serve json contents
=======================================================================*/
if(!function_exists('qw_get_json_data')){
	function qw_get_json_data(){
		
		$postsArray = array();
		if(have_posts()): while ( have_posts() ) : the_post();

			global $post;

			if(is_object($post)){
				
				$metas = get_post_custom($post->ID);
				foreach($metas as $var=>$val){
					$data = @unserialize($val);
					if($data !== false || $val === 'b:0;'){
						$metas[$var] = $data;
					}
					if($var == 'track_repeatable'){
						$val[0] = unserialize($val[0]);
						$metas[$var] = $val;
						//print_r($val);
						//die();
					}
				}
				$post->customMeta = $metas;
				$post->permalink = esc_url(get_permalink( $post->ID ));
				$post->thumbnail = '';
				if(has_post_thumbnail()){
					$thumb = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), array("50","50") );
					$post->thumbnail = $thumb['0']; 
				}

				// only for radio stations
				if(is_post_type_archive('radiochannel' )) {
					$add = get_post_meta($post->ID, 'add_to_custom_playlist', true);
					
					if ($add == '1'){
						$postsArray[] = $post;
					}
				} else {
					// eventually for other post types
					$postsArray[] = $post;
					if(is_post_type_archive('release' )) {
						die( json_encode($postsArray)); // only 1 release
					}
				}
				
			}

		endwhile; endif; 
		
		die( json_encode($postsArray));
	}
}

if(!function_exists('qw_radio_player_no_limit_query')){
	function qw_radio_player_no_limit_query( $query ){
		if( $query->is_main_query() && !is_admin() ){
			if ( $query->is_post_type_archive( 'radiochannel' ) )  {
			 	 $query->set( 'posts_per_page','90' );
			}
		}
	}
}
if(isset($_GET['qw_get_json_data'])){
	add_action('get_header','qw_get_json_data');
	add_action( 'pre_get_posts', 'qw_radio_player_no_limit_query', 99999 );
}

/*
*
*	Slugify for sections
*	http://stackoverflow.com/questions/2955251/php-function-to-make-slug-url-string
*
*/
if(!function_exists('qw_slugify')){
function qw_slugify($text, $alternative = 'section')
{ 
  $text = preg_replace('~[^\\pL\d]+~u', '-', $text);
  $text = trim($text, '-');
 // $text = iconv('utf-8', 'us-ascii//TRANSLIT', $text);
  $text = strtolower($text);
  $text = preg_replace('~[^-\w]+~', '', $text);
  if (empty($text))
  { return $alternative;}
  return $text;
}
}



/*
*
*	Get thumbnail url
*	got from http://coffeecupweb.com/how-to-get-featured-image-url-in-wordpress/
*
*/
if(!function_exists('qw_get_thumbnail_url')){
function qw_get_thumbnail_url($id, $size = 'large'){
	if(has_post_thumbnail($id)){
		$imgArray = wp_get_attachment_image_src( get_post_thumbnail_id( $id ),  $size );
		$imgURL = $imgArray[0];
		return $imgURL;
	}else{
		return false;	
	}
}}

/*
*
*	Get excerpt by id
*	got from http://wordpress.stackexchange.com/questions/26729/get-excerpt-using-get-the-excerpt-outside-a-loop
*
*/

function get_excerpt_by_id($post_id){
    $the_post = get_post($post_id); //Gets post ID
    $the_excerpt = $the_post->post_content; //Gets post_content to be used as a basis for the excerpt
    $excerpt_length = 35; //Sets excerpt length by word count
    $the_excerpt = strip_tags(strip_shortcodes($the_excerpt)); //Strips tags and images
    $words = explode(' ', $the_excerpt, $excerpt_length + 1);

    if(count($words) > $excerpt_length) :
        array_pop($words);
        array_push($words, '…');
        $the_excerpt = implode(' ', $words);
    endif;

    $the_excerpt = '<p>' . wp_kses_post($the_excerpt) . '</p>';

    return $the_excerpt;
}


/*
*
*	Add the template name in the admin screen
*
*/
function qw_admin_body_class( $classes ) {
	$class= "QWtemplate-".str_replace(".","-",basename(get_page_template()));
    $classes .= $class;
	return $classes;
}
add_filter( 'admin_body_class', 'qw_admin_body_class' );





/*
*
*	mobile check // ipad is treated like pc for design reasons
*
*/
if(!function_exists('my_wp_is_mobile')){
function my_wp_is_mobile() {
	//return false;
	if (strpos($_SERVER['HTTP_USER_AGENT'], 'iPad') !== false) {
      //  return false;
    }
    static $is_mobile;
    $browserAsString = $_SERVER['HTTP_USER_AGENT'];
	if (strstr($browserAsString, " AppleWebKit/") && strstr($browserAsString, " Mobile/"))
	{
	    return true;
	}
    if ( isset($is_mobile) )
        return $is_mobile;

    if ( empty($_SERVER['HTTP_USER_AGENT']) ) {
        $is_mobile = false;
    } elseif (
        strpos($_SERVER['HTTP_USER_AGENT'], 'Android') !== false
        || strpos($_SERVER['HTTP_USER_AGENT'], 'Silk/') !== false
        || strpos($_SERVER['HTTP_USER_AGENT'], 'Kindle') !== false
        || strpos($_SERVER['HTTP_USER_AGENT'], 'BlackBerry') !== false
        || strpos($_SERVER['HTTP_USER_AGENT'], 'Opera Mini') !== false ) {
            $is_mobile = true;
    } elseif (strpos($_SERVER['HTTP_USER_AGENT'], 'Mobile') !== false && strpos($_SERVER['HTTP_USER_AGENT'], 'iPad') == false) {
            $is_mobile = true;
    } elseif (strpos($_SERVER['HTTP_USER_AGENT'], 'iPad') !== false) {
        $is_mobile = false;
    } else {
        $is_mobile = false;
    }
    return $is_mobile;
}}


/*
*
* 	Add user agent to body for css classes fix
*
*/
function qw_class_names($classes) {
    global $is_safari;
    if($is_safari) $classes[] = 'is_safari';
    global $is_winIE;
    if($is_winIE) $classes[] = 'is_explorer';
    if(wp_is_mobile()) $classes[] = 'is_mobile';
    return $classes;
}
add_filter('body_class','qw_class_names');
/*
*
* 	Sidebar
*
*/
if(!function_exists('qw_glob_sidebar_class')){
function qw_glob_sidebar_class(){
	$qw_glob_sidebar_class = array("content" => "col-md-9 col-lg-9", "archive" => "col-md-8 col-lg-8","sidebar" => "1");
	if(get_theme_mod('QT_sidebar_enable',"1") == "0"){
		$qw_glob_sidebar_class = array("content" => "col-md-12", "archive" => "col-md-11", "sidebar" => "0");
	}
	return $qw_glob_sidebar_class;
}}


/*
*
* 	To enable revslider ajax 
*
*/
if(!function_exists('qw_revslider_ajax')){
function qw_revslider_ajax(){
	?>
	<div class="hidden" id="enableRsAjax" data-nnc="<?php echo esc_attr(wp_create_nonce("RevSlider_Front")); ?>" data-admu="<?php echo esc_url(admin_url('admin-ajax.php')); ?>"></div>
	<?php
}}
add_action( 'wp_footer', 'qw_revslider_ajax' );






/*
*
* 	Remove hardcoded width and height from thumbnails
*
*/
add_filter( 'post_thumbnail_html', 'qw_remove_thumbnail_dimensions', 10, 3 );
function qw_remove_thumbnail_dimensions( $html, $post_id, $post_image_id ) {
    $html = preg_replace( '/(width|height)=\"\d*\"\s/', "", $html );
    return $html;
}

/*
*
* 	WPML translate title
*
*/
function wpml_custom_wp_title( $title, $sep ) {
    global $paged, $page;
 
    if( function_exists( 'icl_translate') ) {
        $title = icl_translate('wpml_custom', 'wpml_custom_' . esc_attr($title), $title);
    }

    //$title =  esc_attr( get_bloginfo('name'));//
    if(is_front_page()) {
     	$title = esc_attr( get_bloginfo('name')) .' | '.esc_attr(get_bloginfo('description'));
 	} else {
 		$title = $title .' | '.  esc_attr( get_bloginfo('name'));
 	}
 
    return $title;
}
add_filter( 'wp_title', 'wpml_custom_wp_title', 10, 2 );


if ( function_exists( 'add_image_size' ) ) { 
    add_image_size( 'cover-thumb', 600, 600 ); //300 pixels wide (and unlimited height)
}



/*
*
*	Flush Rewrite Rules ===========================================================================
*
*	======================================================================================
*/



function qt_rewrite_flush() {
    flush_rewrite_rules(true);
}
add_action( 'after_switch_theme', 'qt_rewrite_flush' );





/*
*
*	Disable browser cache (testing function) ===========================================================================
*
*	======================================================================================
*/

if ( !function_exists( 'qt_nocache_headers' ) ) { 
	function qt_nocache_headers(){
		nocache_headers();

	}
}
//add_action("init", "qt_nocache_headers");







/**************************************************************

ATTENTION: 
THIS IS A FIX FOR A KNOWN WORDPRESS 4.6 BUG WHEN CHECKING PAGE PREVIEW:
FEATURED IMAGES MISSING WHEN THE PREVIEW ADDS  _thumbnail_id=-1 TO THE URL

https://core.trac.wordpress.org/ticket/37658
https://core.trac.wordpress.org/attachment/ticket/37658/37658.4.diff
https://core.trac.wordpress.org/ticket/37697
http://lists.automattic.com/pipermail/wp-trac/2016-July/302976.html

/**************************************************************/

if(!function_exists('qantumthemes_remove_preview_bug')){
function qantumthemes_remove_preview_bug( $url ) {
	$url = remove_query_arg( '_thumbnail_id', $url );
    return $url;
}}
add_filter( 'preview_post_link', 'qantumthemes_remove_preview_bug', 9999 );


//	Extension functions
//	========================================================================================================================

include 'part-extend.php';



/* Get artist releases by artist name
============================================= */
if(!function_exists('vice_get_artist_events')){
function vice_get_artist_events($artist_id){
	if(!$artist_id){
		return;
	}
	$args = array(
		'post_type' => 'event',
		'posts_per_page' => -1,
		'posts_status' => 'publish',
		'meta_query' => array(
		 	array(
				'key'		=> 'event_lineup',
				'value'		=> maybe_serialize( array('0' => strval($artist_id) ) ),
				'compare'	=> 'LIKE',
		 	),
	   ),
	);
	$wp_query = new WP_Query( $args );
	if ( !$wp_query->have_posts() ){
		return false;
	}
	ob_start();
	if ( $wp_query->have_posts() ) : while ( $wp_query->have_posts() ) : $wp_query->the_post();
		$post = $wp_query->post;
		setup_postdata( $post );
		get_template_part( 'phpincludes/part-event-inline-compact' )  ;
	endwhile; endif;
	wp_reset_postdata();
	return ob_get_clean();
}}




/* Get artist releases by artist name
============================================= */
if(!function_exists('vice_get_artist_releases')){
function vice_get_artist_releases($artist_title){
	ob_start();
	// echo 'received artist title esc_sql: '.urlencode($artist_title);
	if(!$artist_title){
		return;
	}
	$args = array(
		'post_type' => 'release',
		'posts_per_page' => -1,
		'posts_status' => 'publish',
		'meta_query' => array(
			'relation' => 'OR',
			array(
				'key' => 'track_repeatable',
				'value' => ",".$artist_title." ",
				'compare' => 'LIKE'
			),
			array(
				'key' => 'track_repeatable',
				'value' => " ".$artist_title,
				'compare' => 'LIKE'
			),
			array(
				'key' => 'track_repeatable',
				'value' => $artist_title." ",
				'compare' => 'LIKE'
			),
			array(
				'key' => 'track_repeatable',
				'value' => '"'.$artist_title.'"',
				'compare' => 'LIKE'
			)
		)
	);
	$wp_query = new WP_Query( $args );
	if ( $wp_query->have_posts() ) : while ( $wp_query->have_posts() ) : $wp_query->the_post();
		$post = $wp_query->post;
		setup_postdata( $post );
		$have_to_add = false;
		$post_id = $wp_query->post->ID;
		$tracks= qp_get_group('track_repeatable');   
		if(is_array($tracks)){
			foreach($tracks as $track){ 
				if(array_key_exists('releasetrack_artist_name',$track)){
					$track_artists = $track['releasetrack_artist_name'];
					$subject = $track_artists;
					$pattern = '/^'.$artist_title.'/';
					preg_match($pattern, $subject, $matches);
					if( count($matches) > 0){
						$have_to_add = 1;
						echo '<li><a href="' . esc_url(get_permalink( $wp_query->ID )) . '" class="qw-author-release qw-animated qw-darkbg">';
						if ( $thumb = wp_get_attachment_image_src( get_post_thumbnail_id( $wp_query->post->ID ), array(
							 '60',
							'60' 
						) ) ) {
							$url       = $thumb[ '0' ];
							echo '<img class="qw-artist-release-img" src="' . esc_url(esc_attr($url)) . '" alt="' . esc_attr($wp_query->post->title) . '" />';
						} 
						the_title();
						echo '</a></li>';
					}
				}
			}
		}
	endwhile; endif;
	wp_reset_postdata();
	return ob_get_clean();
}}

