<?php  
/*
*
*
*	part-custombackground.php
*	get the page custom background information and create a special CSS
*	Why in the footer? to let it work via ajax!
*
*/

?>
<div id="qtCustomPageBg" class="qt-custombackground">
	<?php  
	wp_reset_postdata();
	wp_reset_query();
	if(is_singular() || is_page()){
		global $post;
		if(is_object($post)){
			
			/**
			 *  =======================================================
			 * Background image
			 * =======================================================
			 * 
			 * New since version 1.8.0
			 * 
			 * =======================================================
			 */
			$image_url = '';
			
				$meta = get_post_meta($post->ID,"qw_post_custom_bg",true);
				if(false != $meta){
					$image_url = wp_get_attachment_url(esc_attr($meta)); 
					?>
					<div id="qtCustomPageBgContent" class="qt-custombackground__content" style="background-image:url(<?php echo esc_url($image_url); ?>) !important;">
					</div>				
					<?php 
				} 
			

			/**
			 * =======================================================
			 * Background video
			 * =======================================================
			 * 
			 * New since version 1.8.0
			 * Video backgrounds are now moved here from modularpage and the library is switched to YTBG instead of OkVideo
			 * because of new Chrome policies which are blocking the video with okVideo but YTBG works
			 *
			 * =======================================================
			 */
			
			$vbg = esc_attr(get_post_meta($post->ID, 'bgvideo', true));
			$vbg = str_replace('https', 'http', $vbg);
			$vbg = str_replace('http://www.youtube.com/?v=', '', $vbg);
			if($vbg != ''){
				?>
				<div id="qtvideobg" class="qt-custombackground__qtvideobg"  data-videoid="<?php echo esc_attr($vbg); ?>">
				</div>	
				<?php
			}
		}
	}
?>
</div>







